# Get Account Transactions

## Get Platform Account Transactions

Make a [`GET /ewallets/{eWalletId}/transactions`](https://docs.unipaas.com/reference#ewalletcontroller_getewallettransactions) request:

```curl
curl --request GET \
  --url 'https://sandbox.unipaas.com/platform/ewallets/{eWalletId}/transactions' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

The response will be an array of  [`eWallet transactions object`](https://docs.unipaas.com/docs/ewallets-overview#the-ewallet-transaction-object). 

## Get Vendor Account Transactions

Make a [`GET /vendors/{vendorId}/ewallets/{eWalletId}/transactions`](https://docs.unipaas.com/reference#vendorewalletcontroller_getewallettransactions) request:

```curl
curl --request GET \
  --url 'https://sandbox.unipaas.com/platform/vendors/{vendorId}/ewallets/{eWalletId}/transactions' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

The response will be an array of  [`eWallet transactions object`](https://docs.unipaas.com/docs/ewallets-overview#the-ewallet-transaction-object).
